NI TestStand

cancel
Showing results for 
Search instead for 
Did you mean: 

Teststand Python Step Error

Solved!
Go to solution
Highlighted

I'm a new user of Teststand and I am attempting to set up a step to call a Python script. But in the Python Step Configure window I'm getting the error "Invalid Python Version. Make sure required version of python is installed and added to PATH environment variable." I don't know what this means or what I need to do to make this work.

 

Any suggestions for fixing this would be much appreciated!

0 Kudos
Message 1 of 2
(160 Views)
Solution
Accepted by topic author kclayt88

TestStand supports CPython interpreter. Hence, make sure the following is done:

 

  • Install python from www.python.org
  • Make sure bitness of TestStand and installed python match
  • When installing python from python.org, there will be an option to add the python path to the environment variable. This is disabled by default and you should enable it when installing.

 

-Shashidhar

Message 2 of 2
(118 Views)